datablock AudioProfile(boomBoxInsertSound)
{
	filename    = "./tape_insert.wav";
	description = AudioDefault3d;
	preload = true;
};
datablock AudioProfile(boomBoxRemoveSound)
{
	filename    = "./tape_remove.wav";
	description = AudioDefault3d;
	preload = true;
};
datablock ParticleData(boomBoxDustParticle)
{
	dragCoefficient = 5;
	gravityCoefficient = -0.0;
	inheritedVelFactor = 0.2;
	constantAcceleration = 0.0;
	lifetimeMS = 800;
	lifetimeVarianceMS = 500;
	textureName = "base/data/particles/cloud";
	spinSpeed = 50.0;
	spinRandomMin = -500.0;
	spinRandomMax = 500.0;
	colors[0] = "1.0 1.0 1.0 0.25";
	colors[1] = "0.0 0.0 0.0 0.0";
	sizes[0] = 0.2;
	sizes[1] = 0.4;
	useInvAlpha = true;
};
datablock ParticleEmitterData(boomBoxDustEmitter)
{
	lifeTimeMS = 50;
	ejectionPeriodMS = 3;
	periodVarianceMS = 0;
	ejectionVelocity = 3;
	velocityVariance = 0.5;
	ejectionOffset = 0.0;
	thetaMin = 0;
	thetaMax = 95;
	phiReferenceVel = 0;
	phiVariance = 360;
	overrideAdvance = false;
	particles = boomBoxDustParticle;
	emitterNode = HalfEmitterNode;
};
datablock ExplosionData(boomBoxExplosion)
{
	lifeTimeMS = 400;
	particleEmitter = boomBoxDustEmitter;
	particleDensity = 30;
	particleRadius = 0.2;
	faceViewer = true;
	explosionScale = "1 1 1";
};
datablock ProjectileData(boomBoxProjectile)
{
	explosion = boomBoxExplosion;
};
datablock fxDTSBrickData(musicBoomBoxData)
{
	category = "Special";
	subCategory = "Interactive";
	uiName = "Boom Box";
	brickFile = "./boombox.blb";
	iconName = "Add-ons/Brick_BoomBox/boombox";
	specialBrickType = "Sound";
	musicRange = 30;
	musicDescription = AudioMusicLooping3d;
};
package swol_boombox
{
	//Switch the datablock for the boombox with the tape
	function fxDtsBrick::onDoorOpen(%br,%cl)
	{
		if(%br.getDatablock().getName() $= BrickBoomBoxData)
		{
			if(getSimTime()-%br.lastSwitchSound > 210)
			{
				%br.playSound(boomBoxRemoveSound);
				%pr = new Projectile()
				{
					datablock = boomBoxProjectile;
					initialPosition = vectorAdd(%br.getPosition(),"0 0 -0.32");
					scale = "1 1 1";
				};
				%pr.explode();
				%br.lastSwitchSound = getSimTime();
			}
		}
		return parent::onDoorOpen(%br,%cl);
	}
	function fxDtsBrick::onDoorClose(%br,%cl)
	{
		if(%br.getDatablock().getName() $= BrickBoomBoxEmptyData)
		{
			if(getSimTime()-%br.lastSwitchSound > 210)
			{
				%br.playSound(boomBoxInsertSound);
				%pr = new Projectile()
				{
					datablock = boomBoxProjectile;
					initialPosition = vectorAdd(%br.getPosition(),"0 0 -0.32");
					scale = "1 1 1";
				};
				%pr.explode();
				%br.lastSwitchSound = getSimTime();
			}
		}
		return parent::onDoorOpen(%br,%cl);
	}
};
activatePackage(swol_boombox);

if(forceRequiredAddOn("Support_Doors") == $Error::AddOn_NotFound)
	return;

datablock fxDTSBrickData(BrickBoomBoxData)
{
	category = "Special";
	subCategory = "Misc";
	uiName = "Boom Box Prop";
	brickFile = "./boombox.blb";
	iconName = "Add-ons/Brick_BoomBox/boombox";
	
	isDoor = true;
	isOpen = false;
	skipDoorEvents = true;
	
	closedCW = "BrickBoomBoxData";
	openCW = "BrickBoomBoxEmptyData";
	
	closedCCW = "BrickBoomBoxData";
	openCCW = "BrickBoomBoxEmptyData";
	noBrickSounds = true;
};
datablock fxDTSBrickData(BrickBoomBoxEmptyData : BrickBoomBoxData)
{
	brickFile = "./boombox_empty.blb";
	uiName = "";
	isOpen = true;
};